using System;
using System.Collections.Generic;
using System.Text;
using GTANetworkAPI;
using ReallifeGamemode.Server.Managers;


namespace ReallifeGamemode.Server.Events
{
  public class UpdateCharacterElevator : Script
  {
    [RemoteEvent("sendPlayerToStage")]
    public void SaveWeaponSelection(Player client, string stage)
    {
      ElevatorPoint elevator = PositionManager.ElevatorPoints.Find(e => e.Stage == stage);
      if (elevator != null)
      {
        client.Position = elevator.Position;
      }
    }
  }
}
